$offlisting
*
*  Equation counts
*      Total        E        G        L        N        X        C        B
*        481        0        1      480        0        0        0        0
*
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         91        1       90        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*
*  Nonzero counts
*      Total    const       NL      DLL
*       1470     1441       29        0
*
*  Solve m using MIQCP minimizing objvar;


Variables  b5,b7,b9,b13,b15,b25,b26,b28,b29,b33,b34,b37,b38,b43,b47,
                   b50,b56,b60,b62,b63,b66,b68,b69,b72,b74,b75,b86,b87,b90,objvar;

Binary Variables  b5,b7,b9,b13,b15,b25,b26,b28,b29,b33,b34,b37,b38,b43,b47,
                   b50,b56,b60,b62,b63,b66,b68,b69,b72,b74,b75,b86,b87,b90;

Equations  e1;


e1.. 2*b5 - 2*b5*b50 + 3*b50 - 2*b5*b62 + b62 + 2*b5*b74 - 5*b74 - 2*b5*b90
        - b90 - 2*b7*b60 + b7 + 2*b60 - 2*b9*b60 + b9 - 2*b13*b50 - 2*b13*b56
        + b56 + 2*b13*b74 + 2*b13*b86 - 3*b86 - 2*b15*b47 + b47 - 2*b15*b50 + 2
       *b15*b68 - 3*b68 + 2*b15*b74 - 2*b25*b74 + 2*b25*b90 - 2*b26*b74 + 2*b26
       *b90 - 2*b28*b72 - b28 + 2*b28*b75 - 2*b75 + 2*b28*b87 - b87 + 2*b29*b63
        - 3*b29 - 2*b63 + 2*b29*b69 - b69 + 2*b29*b75 + 2*b33*b74 - 2*b33 + 2*
       b33*b86 + 2*b34*b68 - 2*b34 + 2*b34*b74 + 2*b37*b74 - 2*b37 + 2*b37*b86
        + 2*b38*b68 - 2*b38 + 2*b38*b74 + 2*b43*b63 - 3*b43 + 2*b43*b66 - b66
        + 2*b43*b72 + objvar =G= 12;

Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
