$offlisting
*  MINLP written by GAMS Convert at 04/17/01 16:38:01
*  
*  Equation counts
*     Total       E       G       L       N       X
*        35      14       0      21       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        25      16       3       6       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*        94      58      36       0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,i16,i17,i18,i19
          ,i20,i21,b22,b23,b24,objvar;

Positive Variables x1,x2,x3;

Binary Variables b22,b23,b24;

Integer Variables i16,i17,i18,i19,i20,i21;

Equations  e1;


e1..  - ((6329.03 + 1800*x1)*i16*i19*b22 + (2489.31 + 1800*x2)*i17*i20*b23 + (
     3270.27 + 1800*x3)*i18*i21*b24) + objvar =E= 0;


* set non default bounds

x1.up = 80; 
x2.up = 25; 
x3.up = 45; 
i16.up = 3; 
i17.up = 3; 
i18.up = 3; 
i19.up = 3; 
i20.up = 3; 
i21.up = 3; 

$if set nostart $goto modeldef
* set non default levels

i16.l = 1; 
i17.l = 1; 
i18.l = 1; 
i19.l = 1; 
i20.l = 1; 
i21.l = 1; 
b22.l = 0.333333333333333; 
b23.l = 0.333333333333333; 
b24.l = 0.333333333333333; 

* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
