$offlisting
*  MINLP written by GAMS Convert at 04/18/01 12:06:44
*  
*  Equation counts
*     Total       E       G       L       N       X
*        31       1       2      28       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        37      12      25       0       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       237     110     127       0
*
*  Solve m using MINLP minimizing objvar;


Variables  b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12,b13,b14,b15,b16,b17,b18,b19
          ,b20,b21,b22,b23,b24,b25,x26,x27,x28,x29,x30,objvar,x32,x33,x34,x35
          ,x36,x37;

Positive Variables x27,x29,x32,x33,x34,x35,x36,x37;

Binary Variables b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12,b13,b14,b15,b16,b17
          ,b18,b19,b20,b21,b22,b23,b24,b25;

Equations  e1;


e1.. (-0.6*sqr(x26)) - 0.1*sqr(x29) + b1 + 0.2*b2 + b3 + 0.2*b4 + 0.9*b5
       + 0.9*b6 + 0.1*b7 + 0.8*b8 + b9 + 0.4*b10 + b11 + 0.3*b12 + 0.1*b13
       + 0.3*b14 + 0.5*b15 + 0.9*b16 + 0.8*b17 + 0.1*b18 + 0.9*b19 + b20 + b21
       + b22 + 0.2*b23 + 0.7*b24 + 0.7*b25 + 0.9*x27 + 0.5*x28 - x30 + objvar
       - 1000*x32 - 1000*x33 - 1000*x34 - 1000*x35 - 1000*x36 - 1000*x37 =E= 0;

* set non default bounds

x26.lo = 2; x26.up = 4.5; 
x27.up = 8; 
x28.lo = 3; x28.up = 9; 
x29.up = 5; 
x30.lo = 4; x30.up = 10; 
x32.up = 10000;
x33.up = 10000;
x34.up = 10000;
x35.up = 10000;
x36.up = 10000;
x37.up = 10000;

$if set nostart $goto modeldef
* set non default levels

x28.l = 8; 
x29.l = 4; 
x30.l = 4.5; 

* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
