$offlisting
*  MINLP written by GAMS Convert at 06/28/01 19:13:46
*  
*  Equation counts
*     Total       E       G       L       N       X
*        44      42       0       2       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        51      49       2       0       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       197      75     122       0
*
*  Solve m using MINLP minimizing objvar;


Variables  objvar,x4,x5,x28,x29,x31,x32,x46,x47,x48,x49,b50,b51;

Positive Variables x4,x5,x28,x29,x31,x32;

Binary Variables b50,b51;

Equations  e1;


e1..  - ((0.0042656*x29 - 0.0005719*x28 + 0.0093514*x46 + 0.0077308*x47 - 
     0.0139904)*x4 + (0.0016371*x31 + 0.0288996*x32 + 0.0338147*x48 + 0.0373349
     *x49 - 0.0661588)*x5) + objvar - 0.23947*b50 - 0.75835*b51 =E= 0;


* set non default bounds

x4.up = 300; 
x5.up = 300; 
x28.up = 1; 
x29.up = 1; 
x31.up = 1; 
x32.up = 1; 
x46.lo = 0.85; x46.up = 1; 
x47.lo = 0.85; x47.up = 1; 
x48.lo = 0.85; x48.up = 1; 
x49.lo = 0.85; x49.up = 1; 

$if set nostart $goto modeldef
* set non default levels

objvar.l = 0.831536761904758; 
x4.l = 57.1428571428572; 
x5.l = 85.7142857142855; 
x28.l = 0.5; 
x29.l = 0.425;  
x31.l = 0.333333333333333; 
x32.l = 0.333333333333333; 
x47.l = 1; 
b50.l = 0.190476190476191; 
b51.l = 0.285714285714285; 

* set non default marginals

e1.m = 1;

$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
