$offlisting
*  MINLP written by GAMS Convert at 04/17/01 16:41:31
*  
*  Equation counts
*     Total       E       G       L       N       X
*        24       3       0      21       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        18      10       8       0       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*        91      79      12       0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,b10,b11,b12,b13,b14,b15,b16,b17,objvar;

Positive Variables x1,x2,x3,x4,x5,x6,x7,x8,x9;

Binary Variables b10,b11,b12,b13,b14,b15,b16,b17;

Equations  e1;


e1..  - (exp(x1) - 10*x1 + exp(0.833333*x2) - 15*x2 - 65*log(1 + x3 + x4) + 15
      *x3 + 80*x4 - 90*log(1 + x5) + 25*x5 - 80*log(1 + x6) + 35*x6) + 40*x7
       - 15*x8 + 35*x9 - 5*b10 - 8*b11 - 6*b12 - 10*b13 - 6*b14 - 7*b15 - 4*b16
       - 5*b17 + objvar =E= 120;

* set non default bounds

x1.up = 2; 
x2.up = 2; 
x3.up = 1; 
x4.up = 2; 
x5.up = 2; 
x6.up = 2; 
x7.up = 2; 
x8.up = 1; 
x9.up = 3; 

$if set nostart $goto modeldef
* set non default levels


* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
