$offlisting
*  MINLP written by GAMS Convert at 04/19/01 16:58:13
*  
*  Equation counts
*     Total       E       G       L       N       X
*        25       1       0      24       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        25       1       4      20       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       105      73      32       0
*
*  Solve m using MINLP minimizing objvar;


Variables  b1,b2,b3,b4,i5,i6,i7,i8,objvar;

Binary Variables b1,b2,b3,b4;

Integer Variables i5,i6,i7,i8;

Equations  e1;


e1..  - 0.1*b1 - 0.2*b2 - 0.3*b3 - 0.4*b4 - i5 - i6 - i7 - i8 + objvar =E= 0;


* set non default bounds

i5.up = 12; 
i6.up = 12; 
i7.up = 12; 
i8.up = 12; 

$if set nostart $goto modeldef
* set non default levels

i5.l = 1; 
i6.l = 1; 
i7.l = 1; 
i8.l = 1; 

* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
