$offlisting
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         19        9        0       10        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         45       17       28        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*        137       77       60        0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,b17,b18,b19
          ,b20,b21,b22,b23,b24,b25,b26,b27,b28,b29,b30,b31,b32,b33,b34,b35,b36
          ,b37,b38,b39,b40,b41,b42,b43,b44,objvar;

Positive Variables  x8,x13;

Binary Variables  b17,b18,b19,b20,b21,b22,b23,b24,b25,b26,b27,b28,b29,b30,b31
          ,b32,b33,b34,b35,b36,b37,b38,b39,b40,b41,b42,b43,b44;

Equations  e1;


e1.. sqrt(sqr(x1 - x3) + sqr(x2 - x4))*b17 + sqrt(sqr(x1 - x5) + sqr(x2 - x6))*
     b18 + sqrt(sqr(x1 - x7) + sqr(x2 - x8))*b19 + sqrt(sqr(x1 - x9) + sqr(x2
      - x10))*b20 + sqrt(sqr(x1 - x11) + sqr(x2 - x12))*b21 + sqrt(sqr(x1 - x13
     ) + sqr(x2 - x14))*b22 + sqrt(sqr(x1 - x15) + sqr(x2 - x16))*b23 + sqrt(
     sqr(x3 - x5) + sqr(x4 - x6))*b24 + sqrt(sqr(x3 - x7) + sqr(x4 - x8))*b25
      + sqrt(sqr(x3 - x9) + sqr(x4 - x10))*b26 + sqrt(sqr(x3 - x11) + sqr(x4 - 
     x12))*b27 + sqrt(sqr(x3 - x13) + sqr(x4 - x14))*b28 + sqrt(sqr(x3 - x15)
      + sqr(x4 - x16))*b29 + sqrt(sqr(x5 - x7) + sqr(x6 - x8))*b30 + sqrt(sqr(
     x5 - x9) + sqr(x6 - x10))*b31 + sqrt(sqr(x5 - x11) + sqr(x6 - x12))*b32 + 
     sqrt(sqr(x5 - x13) + sqr(x6 - x14))*b33 + sqrt(sqr(x5 - x15) + sqr(x6 - 
     x16))*b34 + sqrt(sqr(x7 - x9) + sqr(x8 - x10))*b35 + sqrt(sqr(x7 - x11) + 
     sqr(x8 - x12))*b36 + sqrt(sqr(x7 - x13) + sqr(x8 - x14))*b37 + sqrt(sqr(x7
      - x15) + sqr(x8 - x16))*b38 + sqrt(sqr(x9 - x11) + sqr(x10 - x12))*b39 + 
     sqrt(sqr(x9 - x13) + sqr(x10 - x14))*b40 + sqrt(sqr(x9 - x15) + sqr(x10 - 
     x16))*b41 + sqrt(sqr(x11 - x13) + sqr(x12 - x14))*b42 + sqrt(sqr(x11 - x15
     ) + sqr(x12 - x16))*b43 + sqrt(sqr(x13 - x15) + sqr(x14 - x16))*b44
      - objvar =E= 0;


* set non-default bounds
x1.lo = 3; x1.up = 20;
x2.lo = 55; x2.up = 68;
x3.lo = 29; x3.up = 38;
x4.lo = 12; x4.up = 22;
x5.lo = 5; x5.up = 16;
x6.lo = 82; x6.up = 91;
x7.lo = 94; x7.up = 105;
x8.up = 17;
x9.lo = 16; x9.up = 38;
x10.lo = 97; x10.up = 114;
x11.lo = 57; x11.up = 68;
x12.lo = 108; x12.up = 125;
x13.up = 23;
x14.lo = 7; x14.up = 25;
x15.lo = 48; x15.up = 74;
x16.lo = 88; x16.up = 112;

* set non-default levels
x1.l = 3;
x2.l = 55;
x3.l = 29;
x4.l = 12;
x5.l = 5;
x6.l = 82;
x7.l = 94;
x9.l = 16;
x10.l = 97;
x11.l = 57;
x12.l = 108;
x14.l = 7;
x15.l = 48;
x16.l = 88;

Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
