$offlisting
*
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         11       11        0        0        0        0        0        0
*
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         25       25        0        0        0        0        0        0
*  FX      0
*
*  Nonzero counts
*      Total    const       NL      DLL
*         81       21       60        0
*
*  Solve m using NLP minimizing objvar;


Variables  x1,x2,x3,x4,x5,x6,x7,x8,x9,x10,x11,x12,x13,x14,x15,x16,x17,x18,x19
          ,x20,objvar;

Equations  e1;


e1.. -(sqr(x1) + sqr((-5.9) + x2) + sqr((-0.9) + x3) + sqr((-5.4) + x4) + sqr((
     -1.8) + x5) + sqr((-4.4) + x6) + sqr((-2.6) + x7) + sqr((-4.6) + x8) +
     sqr((-3.3) + x9) + sqr((-3.5) + x10) + sqr((-4.4) + x11) + sqr((-3.7) +
     x12) + sqr((-5.2) + x13) + sqr((-2.8) + x14) + sqr((-6.1) + x15) + sqr((-
     2.8) + x16) + sqr((-6.5) + x17) + sqr((-2.4) + x18) + sqr((-7.4) + x19) +
     sqr((-1.5) + x20)) + objvar =E= 0;

* set non-default bounds
x1.lo = -0.5; x1.up = 0.5;
x2.lo = 5.4; x2.up = 6.4;
x3.lo = 0.4; x3.up = 1.4;
x4.lo = 4.9; x4.up = 5.9;
x5.lo = 1.3; x5.up = 2.3;
x6.lo = 3.9; x6.up = 4.9;
x7.lo = 2.1; x7.up = 3.1;
x8.lo = 4.1; x8.up = 5.1;
x9.lo = 2.8; x9.up = 3.8;
x10.lo = 3; x10.up = 4;
x11.lo = 3.9; x11.up = 4.9;
x12.lo = 3.2; x12.up = 4.2;
x13.lo = 4.7; x13.up = 5.7;
x14.lo = 2.3; x14.up = 3.3;
x15.lo = 5.6; x15.up = 6.6;
x16.lo = 2.3; x16.up = 3.3;
x17.lo = 6; x17.up = 7;
x18.lo = 1.9; x18.up = 2.9;
x19.lo = 6.9; x19.up = 7.9;
x20.lo = 1; x20.up = 2;

Model m / all /;

m.limrow=0; m.limcol=0;
m.tolproj=0.0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set NLP $set NLP NLP
Solve m using %NLP% minimizing objvar;
