$offlisting
*  MINLP written by GAMS Convert at 04/19/01 16:58:12
*  
*  Equation counts
*     Total       E       G       L       N       X
*        73       1       0      72       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*       169       1      12     156       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       793     505     288       0
*
*  Solve m using MINLP minimizing objvar;


Variables  b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12,i13,i14,i15,i16,i17,i18,i19
          ,i20,i21,i22,i23,i24,objvar;

Binary Variables b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12;

Integer Variables i13,i14,i15,i16,i17,i18,i19,i20,i21,i22,i23,i24;

Equations  e1;


e1..  - 0.1*b1 - 0.2*b2 - 0.3*b3 - 0.4*b4 - 0.5*b5 - 0.6*b6 - 0.7*b7 - 0.8*b8
      - 0.9*b9 - b10 - 1.1*b11 - 1.2*b12 - i13 - i14 - i15 - i16 - i17 - i18
      - i19 - i20 - i21 - i22 - i23 - i24 + objvar =E= 0;

* set non default bounds

i13.up = 48; 
i14.up = 48; 
i15.up = 48; 
i16.up = 48; 
i17.up = 48; 
i18.up = 48; 
i19.up = 48; 
i20.up = 48; 
i21.up = 48; 
i22.up = 48; 
i23.up = 48; 
i24.up = 48; 


$if set nostart $goto modeldef
* set non default levels

i13.l = 1; 
i14.l = 1; 
i15.l = 1; 
i16.l = 1; 
i17.l = 1; 
i18.l = 1; 
i19.l = 1; 
i20.l = 1; 
i21.l = 1; 
i22.l = 1; 
i23.l = 1; 
i24.l = 1; 

* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
